### Function

# GObject param_spec_value_array

#### Declaration [src]

    GParamSpec*
    g_param_spec_value_array (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      GParamSpec* element_spec,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GParamSpecValueArray` instance specifying a `G_TYPE_VALUE_ARRAY` property. `G_TYPE_VALUE_ARRAY` is a `G_TYPE_BOXED` type, as such, `GValue` structures for this property can be accessed with `g_value_set_boxed()` and g_value_get_boxed().

See `g_param_spec_internal()` for details on property names.

This function is not directly available to language bindings.

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nick name for the property specified.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description of the property specified.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`element_spec`

  Type: `GParamSpec`

  A `GParamSpec` describing the elements contained in arrays of this property, may be `NULL`.

  The data is owned by the caller of the function.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

A newly created parameter specification.

The data is owned by the called function.